## mixxx 1.6.0~beta3

=== SConstruct ===
#Build the SConscript file in /src, and make it us src/.obj for storing obj output.
SConscript(File('src/SConscript'), build_dir=Dir('src/.obj'), duplicate=0) 
#wtf doesn't this work on win32 (works on Linux, OS X):
Command("mixxx", "#src/.obj/mixxx", Copy("$TARGET", "$SOURCE"))
#hack for windows:
Copy("mixxx", "#src/.obj/mixxx")

## mixxx 1.7.2

=== SConstruct ===
#!/usr/bin/env python

import sys, os, platform

machine = platform.machine()
Export('machine')	#So architecture-specific decisions & optimizations can be made in the SConscript

if os.name == 'nt':
	if machine == 'x86':
		print 'Platform: Windows 32-bit'
		platform = 'win32'
	else:		#This is only correctly detected if you're running a 64-bit version of Python, otherwise it'll see an x86 system
		print 'Platform: Windows 64-bit'
		print 'CPU architecture: ' + machine
		platform = 'win64'
	
	# Allow to override auto-detection (environment variables must already be set appropriately with SETENV.CMD /xp /x86 or /x64)
	if ARGUMENTS.get('win64'):
		print 'FORCING 64-BIT BUILD'
		platform = 'win64'
	if ARGUMENTS.get('win32'):
		print 'FORCING 32-BIT BUILD'
		platform = 'win32'
	
elif sys.platform == 'linux2':
     print 'Platform: Linux ' + machine
     platform = 'linux'
elif 'bsd' in sys.platform: #should cover {Net,Open,Free,DragonFly}BSD, but I'll be upfront: I've only built Mixxx on OpenBSD
     print 'Platform: BSD ' + machine
     platform = 'bsd'
elif sys.platform == 'darwin':
     print 'Platform: OS X ' + machine
     platform = 'osx'
else:
	print 'Platform: Unknown (assuming Linux-like,) machine ' + machine
	platform = 'linux'

Export('platform')

build_dir = '%s_build' % platform

SConscript(File('src/SConscript'), build_dir=Dir(build_dir), duplicate=0) 
#wtf doesn't this work on win32 (works on Linux, OS X):
Command("mixxx", os.path.join(build_dir, "mixxx"), Copy("$TARGET", "$SOURCE"))

#hack for windows:
Copy("mixxx", os.path.join(build_dir, "mixxx"))

#on OS X, if the bundle has been built, copy it up:
#Command("Mixxx.app", os.path.join(build_dir, "Mixxx.app"), Copy("$TARGET", "$SOURCE"))

## mixxx 1.8.0.1

=== SConstruct ===
#!/usr/bin/env python
# -*- coding: utf-8 -*-
import os

#Run our configuration stuff to setup our build environment (detect platform/arch, find libraries, etc)
SConscript(File('src/SConscript.env'), duplicate=0) 

#Grab some variables, created by SConscript.env, that we'll need to do the rest of the build
#and installation.
Import('env', 'sources', 'flags') 
Import('build_dir', 'platformString')

# Make the main src directory accessible to the SoundSourceM4A, so
# SoundSourceM4A can get at sounddevice.cpp, which it needs to build
# and link properly. This sucks but it's the best way I can find -- bkgood
VariantDir("plugins/soundsourcem4a", "src", duplicate=0)
VariantDir("plugins/soundsourcewv", "src", duplicate=0)
#Build our soundsource plugins
soundsource_plugins = SConscript(File('plugins/SConscript'), build_dir=Dir(build_dir + "/plugins"), duplicate=0, exports=['env', 'flags', 'platformString'])

#Setup and build the "mixxx" executable target. Also sets up our install targets for each platform.
SConscript(File('src/SConscript'), build_dir=Dir(build_dir), duplicate=0, exports=['env', 'sources', 'flags', 'soundsource_plugins']) 


#Conveniece - Copy over the Mixxx executable out of the build directory and into the bottom of the source
#             tree. (That should be the directory where you run "scons".)
#wtf doesn't this work on win32 (works on Linux, OS X):
Command("mixxx", os.path.join(build_dir, "mixxx"), Copy("$TARGET", "$SOURCE"))
#hack for windows:
Copy("mixxx", os.path.join(build_dir, "mixxx"))

#On OS X, if the bundle has been built, copy it up:
#Command("Mixxx.app", os.path.join(build_dir, "Mixxx.app"), Copy("$TARGET", "$SOURCE"))

=== lib/cmetrics/SConstruct ===
import os
import sys
import glob
import SCons
import shutil


env = Environment()
conf = Configure(env)

#Get the Platform
if os.name == 'nt':
    print 'Platform: Windows'
    platform = 'win32'
elif sys.platform == 'linux2':
    print 'Platform: Linux'
    platform = 'linux'
elif sys.platform == 'darwin':
    print 'Platform: OS X'
    platform = 'osx'
else:
    platform = 'linux'



#Build The Lib
client = 'MIXXX'
server = 'mixxx.casemetrics.net'
Export('env platform client server')
obj = []

obj += SConscript('SConscript')

env.Program(obj)

=== lib/gtest-1.3.0/make/Makefile ===
# A sample Makefile for building Google Test and using it in user
# tests.  Please tweak it to suit your environment and project.  You
# may want to move it to your project's root directory.
#
# SYNOPSIS:
#
#   make [all]  - makes everything.
#   make TARGET - makes the given target.
#   make clean  - removes all files generated by make.

# Please tweak the following variable definitions as needed by your
# project, except GTEST_HEADERS, which you can use in your own targets
# but shouldn't modify.

# Points to the root of Google Test, relative to where this file is.
# Remember to tweak this if you move this file.
GTEST_DIR = ..

# Where to find user code.
USER_DIR = ../samples

# Flags passed to the preprocessor.
CPPFLAGS += -I$(GTEST_DIR) -I$(GTEST_DIR)/include

# Flags passed to the C++ compiler.
CXXFLAGS += -g

# All tests produced by this Makefile.  Remember to add new tests you
# created to the list.
TESTS = sample1_unittest

# All Google Test headers.  Usually you shouldn't change this
# definition.
GTEST_HEADERS = $(GTEST_DIR)/include/gtest/*.h \
                $(GTEST_DIR)/include/gtest/internal/*.h

# House-keeping build targets.

all : $(TESTS)

clean :
	rm -f $(TESTS) gtest.a gtest_main.a *.o

# Builds gtest.a and gtest_main.a.

# Usually you shouldn't tweak such internal variables, indicated by a
# trailing _.
GTEST_SRCS_ = $(GTEST_DIR)/src/*.cc $(GTEST_DIR)/src/*.h $(GTEST_HEADERS)

# For simplicity and to avoid depending on Google Test's
# implementation details, the dependencies specified below are
# conservative and not optimized.  This is fine as Google Test
# compiles fast and for ordinary users its source rarely changes.
gtest-all.o : $(GTEST_SRCS_)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $(GTEST_DIR)/src/gtest-all.cc

gtest_main.o : $(GTEST_SRCS_)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $(GTEST_DIR)/src/gtest_main.cc

gtest.a : gtest-all.o
	$(AR) $(ARFLAGS) $@ $^

gtest_main.a : gtest-all.o gtest_main.o
	$(AR) $(ARFLAGS) $@ $^

# Builds a sample test.  A test should link with either gtest.a or
# gtest_main.a, depending on whether it defines its own main()
# function.

sample1.o : $(USER_DIR)/sample1.cc $(USER_DIR)/sample1.h $(GTEST_HEADERS)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $(USER_DIR)/sample1.cc

sample1_unittest.o : $(USER_DIR)/sample1_unittest.cc \
                     $(USER_DIR)/sample1.h $(GTEST_HEADERS)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $(USER_DIR)/sample1_unittest.cc

sample1_unittest : sample1.o sample1_unittest.o gtest_main.a
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $^ -o $@

=== debian/changelog ===
mixxx (1.8.0.1-1ubuntu1) maverick; urgency=low

  * Merge from Debian experimental (no new features, FFe grant LP: #645804):
    - Don't apply 91-desktop_file.patch, Ubuntu uses PulseAudio.
    - Depends on pulseaudio-utils.
    - Build-depends on libqtwebkit-dev.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 23 Sep 2010 19:23:09 +0200

mixxx (1.8.0.1-1) experimental; urgency=low

  * No longer need to repack the upstream's tarball, skins can be
    redistributed now.
  * Drop build-dep on libwavpack-dev, the wavpack plugin seems not
    stable enough.
  * Set skins' file permissions properly.

 -- Alessio Treglia <alessio@debian.org>  Thu, 23 Sep 2010 18:46:42 +0200

mixxx (1.8.0.1~dfsg-1ubuntu1) maverick; urgency=low

  * Re-sync with Debian experimental (FFe granted LP: #645804).
  * Don't apply 91-desktop_file.patch, Ubuntu uses PulseAudio.
  * Depends on pulseaudio-utils (LP: #634072);
    thanks to Evgeni Golov for reporting this.
  * Enable soundsourcem4a plugin:
    - Build-depends on libmp4v2-dev.
    - Don't apply 30-disable_soundsourcem4a.patch patch.
  * Build-depends on libqtwebkit-dev.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 23 Sep 2010 11:54:04 +0200

mixxx (1.8.0.1~dfsg-1) experimental; urgency=low

  * New upstream release:
    - Fix visual artifact due to Qt bug (LP: #645804).
  * Add README.source to document the repacking.
  * Update copyright information.
  * Add get-orig-source target.
  * Refresh patches.
  * Build-depends on libwavpack-dev.
  * Update debian/gbp.conf.
  * Install missing icon file (LP: #641880).

 -- Alessio Treglia <alessio@debian.org>  Thu, 23 Sep 2010 11:26:16 +0200

mixxx (1.8.0~rc-dfsg-1) experimental; urgency=low

  * New upstream release.
  * Set Maintainer to Debian Multimedia Maintainers team, update Uploaders
    field; ACKed by Free Ekanayaka.
  * Add Vcs fields.
  * Add myself to the Uploaders field.
  * Switch to format 3.0 (quilt).
  * Refresh patches and tag them as per DEP-3.
  * Add 30-disable_soundsourcem4a.patch patch to disable soundsourcem4a plugin.
  * Add patch to fix desktop file as per spec.
  * Build-Depends on libportmidi-dev.
  * Depends on libqt4-sql-sqlite.
  * Add debian/source/local-options file.
  * Remove desktop file, already provided by upstream.
  * Rename icon file:
    - 16x16 XPM icon is unnecessary.
    - Update install and dirs file properly.
  * Update debian/menu properly.
  * Fix binary-control-field-duplicates-source field "section" lintian
    warning.
  * Update debian/watch file.
  * Install the manual in /usr/share/mixxx-data/.
  * Install doc-base registration file.
  * Update the link to the manual (Closes: #576544).
  * Add configuration file for git-buildpackage.
  * Add .gitignore file.
  * Update homepage field.
  * Bump Standards.
  * Clean-up.

 -- Alessio Treglia <alessio@debian.org>  Sat, 18 Sep 2010 17:15:53 +0200

mixxx (1.7.2-1) unstable; urgency=low

  * New upstream release (closes: #437574)
  * debian/rules: do not build against libdjconsole (closes: #554022),
    mixxx now uses Hercules driver instead
  * debian/rules: invoke debhelper zen guru, switch to quilt
  * debian/patches/20_norpath.patch: update rpath patch
  * debian/mixxx.manpages: install manpage the new way
  * debian/control: tighten debhelper version, span on multiple lines
  * debian/control: add misc-depends to mixxx-data

 -- Paul Brossier <piem@debian.org>  Thu, 07 Jan 2010 04:02:37 +0100

mixxx (1.7.1-1) unstable; urgency=low

  * New upstream release (closes: #519517, #427291, #500859)
  * Bugs closed in previous versions (closes: #480233, #397385)
  * Acknowledge NMUed bugs (closes: #375752, #435950, #499572, #523692),
    thanks to Free, Steinar, and Barry
  * debian/control
    - added Homepage field
    - add Build-depends on imagemagick
    - add Build-Depends on libsountouch-dev
    - bump Standard-Version
    - bump build-depends to debhelper >= 7.0.0
  * debian/rules
    - create and install mixxx.xpm 32x32
    - remove COPYING, shifter.sh, xsl, php, and Thumbs.db files from skins 
    - make sure js files are not executables
    - use dh_prep instead of dh_clean -k
  * debian/README.source: add reference to dpatch
  * debian/mixxx.desktop: improve comment
  * debian/menu: update section to Applications/Sound
  * debian/compat: bump to 7
  * debian/copyright: updated to list copyright of each external libs
  * debian/patches/10_soundtouch.dpatch: use packaged libsoundtouch 
    (not activated yet, needs 1.4.1)
  * debian/patches/10_uptodate_configure.dpatch: update config.{sub,guess}

 -- Paul Brossier <piem@debian.org>  Fri, 30 Oct 2009 12:13:34 +0100

mixxx (1.6.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove unnecessary build-dep on libglib1.2. (Closes: #523692).
  * Update desktop file. (Closes: #499572).
  * Update deprecated xlibmesa-gl1-dev with libgl1-mesa-dev.

 -- Barry deFreese <bdefreese@debian.org>  Sat, 17 Oct 2009 13:36:19 -0400

mixxx (1.6.1-1) unstable; urgency=low

  * New Upstream Version

 -- Free Ekanayaka <freee@debian.org>  Sat, 15 Nov 2008 00:00:37 +0100

mixxx (1.6.0-1) unstable; urgency=low

  * New upstream release (Closes: #496184)

 -- Free Ekanayaka <freee@debian.org>  Tue, 26 Aug 2008 00:53:21 +0100

mixxx (1.6.0~beta3-2) unstable; urgency=low

  * Build depend on libqt4-opengl-dev only if available, otherwise use
    libqt4-dev (makes backports easier)

 -- Free Ekanayaka <freee@debian.org>  Mon, 09 Jun 2008 08:27:28 +0100

mixxx (1.6.0~beta3-1) unstable; urgency=low

  * New upstream release
  * Build depends on libqt4-opengl-dev (Closes: #482238), thanks
    to Peter Green
  * Fixed bashism in debian/rules (Closes: #478408), thanks to Chris
    Lamb
  * Fixed FTBFS if built twice in a row (Closes: #483901) thanks
    to Peter Green

 -- Free Ekanayaka <freee@debian.org>  Thu, 05 Jun 2008 00:21:45 +0100

mixxx (1.6.0~beta2-1) unstable; urgency=low

  * New upstream release



=== debian/control ===
Source: mixxx
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Paul Brossier <piem@debian.org>,
 Free Ekanayaka <freee@debian.org>,
 Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 scons,
 pkg-config,
 docbook-to-man,
 libgl1-mesa-dev,
 libglu1-mesa-dev,
 libqt4-opengl-dev | libqt4-dev,
 libjack-dev,
 libsoundtouch-dev,
 portaudio19-dev,
 libid3tag0-dev,
 libmad0-dev,
 libogg-dev,
 libsndfile1-dev,
 libvorbis-dev,
 libexpat-dev,
 libaudiofile-dev,
 libportmidi-dev,
 libqtwebkit-dev,
 imagemagick
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/pkg-multimedia/mixxx.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mixxx.git
Homepage: http://www.mixxx.org/

Package: mixxx
Architecture: any
Depends: ${shlibs:Depends},
 mixxx-data (= ${source:Version}),
 libqt4-sql-sqlite,
 pulseaudio-utils,
 ${misc:Depends}
Suggests: pdf-viewer
Description: Digital Disc Jockey Interface
 Mixxx is a digital DJ system, where wave, ogg and mp3 files can be mixed on a
 computer for use in live performances. Filters, crossfader, and speed control
 are provided. Mixxx can sync the 2 streams automatically, using an algorithm
 to detect the beat.
 .
 Mixxx works with Jack or OSS, can be controlled from the GUI or from external
 controllers, including MIDI devices and joysticks, and supports skins.

Package: mixxx-data
Architecture: all
Depends: ${misc:Depends}
Description: Digital Disc Jockey Interface -- data files
 This package provides images and skin configuration files required for mixxx.
 .
 Mixxx is a digital DJ system, where wave, ogg and mp3 files can be mixed on a
 computer for use in live performances. Filters, crossfader, and speed control
 are provided. Mixxx can sync the 2 streams automatically, using an algorithm
 to detect the beat.
 .
 Mixxx works with Jack or OSS, can be controlled from the GUI or from external
 controllers, including MIDI devices and joysticks, and supports skins.

=== debian/rules ===
#!/usr/bin/make -f

SCONS_OPTS = install_root=$(CURDIR)/debian/tmp/usr qtdir=/usr/share/qt4 prefix=/usr
# Path to the debian directory
DEBIAN_DIR := $(shell echo ${MAKEFILE_LIST} | awk '{print $$1}' | xargs dirname )
UPSTREAM_VERSION ?=$(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
PACKAGE = mixxx

%:
	dh $@

override_dh_auto_build:
	# create icons
	convert res/images/mixxx-icon.png -geometry 32x32 mixxx.xpm
	scons $(SCONS_OPTS)
	docbook-to-man debian/mixxx.sgml > mixxx.1 

override_dh_auto_clean:
	scons $(SCONS_OPTS) -c || true
	rm -rf .sconf_temp/ .sconsign.dblite build/qt4.pyc cachecustom.py \
	config.log linux_build/ src/build.h
	rm -f mixxx.1 mixxx.xpm
	dh_auto_clean

override_dh_auto_install:
	scons $(SCONS_OPTS) install
	find $(CURDIR)/debian/tmp \( -name COPYING -o -name Thumbs.db \
		-o -name shifter.sh -o -name '*.xsl' -o -name '*.php' \) \
		-exec rm -f {} \;
	find $(CURDIR)/debian/tmp -name '*.js' -exec chmod -x {} \;
	find $(CURDIR)/debian/tmp/usr/share/mixxx/ -type f -exec chmod -x {} \;

## mixxx 1.8.1

=== debian/changelog ===
mixxx (1.8.1-2ubuntu1) natty; urgency=low

  * Merge with Debian unstable, Ubuntu remaining changes:
    - Add libqtwebkit-dev to the Build-Depends field.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 11 Nov 2010 15:38:34 +0100

mixxx (1.8.1-2) unstable; urgency=low

  * First upload to unstable, Mixxx 1.7.2 was removed from Squeeze.
  * Minimize the delta between Debian and Ubuntu:
    - 91-desktop_file.patch is Debian-specific as Ubuntu uses PulseAudio
      by default.
    - Introduce new SUBSTVAR in debian/control and pass it to dh_gencontrol
      to set different dependencies depending on the distribution.

 -- Alessio Treglia <alessio@debian.org>  Thu, 11 Nov 2010 14:15:11 +0100

mixxx (1.8.1-1ubuntu1) natty; urgency=low

  * Merge with Debian experimental, Ubuntu remaining changes:
    - Add libqtwebkit-dev to the Build-Depends field.
    - Depends on pulseaudio-utils.
    - Skip 91-desktop_file.patch.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 19 Oct 2010 10:25:05 +0200

mixxx (1.8.1-1) experimental; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Tue, 19 Oct 2010 09:05:19 +0200

mixxx (1.8.0.2-1) experimental; urgency=low

  * Imported Upstream version 1.8.0.2
  * Refresh 20_norpath.patch.
  * Allow ALLOW_X86_OPTIMIZATIONS on amd64 only, fixes FTBFS on ia64
    (Closes: #599978).

 -- Alessio Treglia <alessio@debian.org>  Mon, 18 Oct 2010 13:13:57 +0200

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
 Depends: ${shlibs:Depends},
  mixxx-data (= ${source:Version}),
  libqt4-sql-sqlite,
- pulseaudio-utils,
+ ${dist:Depends},
  ${misc:Depends}
 Suggests: pdf-viewer
 Description: Digital Disc Jockey Interface

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,12 @@
 DEBIAN_DIR := $(shell echo ${MAKEFILE_LIST} | awk '{print $$1}' | xargs dirname )
 UPSTREAM_VERSION ?=$(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
 PACKAGE = mixxx
+
+ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
+	SUBSTVARS = -Vdist:Depends="pulseaudio-utils"
+else
+	SUBSTVARS = -Vdist:Depends=""
+endif
 
 %:
 	dh $@
@@ -29,3 +35,6 @@
 		-exec rm -f {} \;
 	find $(CURDIR)/debian/tmp -name '*.js' -exec chmod -x {} \;
 	find $(CURDIR)/debian/tmp/usr/share/mixxx/ -type f -exec chmod -x {} \;
+
+override_dh_gencontrol:
+	dh_gencontrol -- $(SUBSTVARS)

## mixxx 1.8.2

=== debian/changelog ===
mixxx (1.8.2-1ubuntu1) natty; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Build-depend on libqtwebkit-dev.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 17 Dec 2010 08:45:03 +0100

mixxx (1.8.2-1) unstable; urgency=low

  * New upstream bugfix release.
  * Drop debian/patches/1001-scripts_eval_sigsegv.patch as it isn't
    needed anymore.

 -- Alessio Treglia <alessio@debian.org>  Fri, 17 Dec 2010 00:04:57 +0100

mixxx (1.8.1-5ubuntu1) natty; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Add libqtwebkit-dev to Build-Depends field.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 01 Dec 2010 10:12:56 +0100

mixxx (1.8.1-5) unstable; urgency=low

  * 40-alpha_ftbfs.patch has been forwarded.
  * Add patch to fix SIGSEGV in the scripts evaluation.

 -- Alessio Treglia <alessio@debian.org>  Wed, 01 Dec 2010 09:23:55 +0100

mixxx (1.8.1-4) unstable; urgency=low

  * Really apply 40-alpha_ftbfs.patch.

 -- Alessio Treglia <alessio@debian.org>  Mon, 29 Nov 2010 00:36:08 +0100

mixxx (1.8.1-3) unstable; urgency=low

  * Attempt to fix FTBFS on alpha.

 -- Alessio Treglia <alessio@debian.org>  Sun, 28 Nov 2010 12:39:29 +0100

## mixxx 1.9.0+dfsg0

=== debian/changelog ===
mixxx (1.9.0+dfsg0-2) unstable; urgency=low

  * Add armhf support (Closes: #623152).
  * Enable parallel builds.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 09 May 2011 01:02:44 +0200

mixxx (1.9.0+dfsg0-1) unstable; urgency=low

  * Improve description, Mixxx supports FLAC file format too.
  * Sort build-deps.
  * Add libwavpack-dev to Build-Depends.
  * Enable WavPack plugin.
  * debian/gbp.conf: Set compression to bzip2.
  * Actually build Mixxx against libsoundtouch provided by Debian.
  * Imported Upstream version 1.9.0+dfsg0:
    - Get rid of local copy of soundtouch.
  * debian/copyright:
    - Remove comment about soundtouch, sources are now linked against
      the system-wide copy.
    - Update to DEP-5 rev.174.
  * Get rid of unneeded patches, clean-up series files.
  * Build-depend on libqtwebkit-dev.

 -- Alessio Treglia <alessio@debian.org>  Thu, 14 Apr 2011 20:40:58 +0200

mixxx (1.9.0-3) unstable; urgency=low

  * debian/patches/15-various_archs_support.patch:
    - Remove -Dalpha from CPPDEFINES, fixes FTBFS on alpha (Closes: #598749).
    - Allow compilation on alpha, armel, hppa, hurd-i386, ia64, kfreebsd-*,
      mips, mipsel, sparc, s390 (Closes: #616177).
  * Disable libportmidi-dev for hurd-i386,kfreebsd-* architectures.

 -- Alessio Treglia <alessio@debian.org>  Fri, 04 Mar 2011 00:45:06 +0100

mixxx (1.9.0-2) unstable; urgency=low

  * First attempt to fix #616177:
    - Extend the list of supported machines.
    - Properly set and pass the value of machine to SCons.

 -- Alessio Treglia <alessio@debian.org>  Thu, 03 Mar 2011 14:00:02 +0100

mixxx (1.9.0-1) unstable; urgency=low

  [ Alessio Treglia ]
  * New upstream release.
  * Build against the latest libsoundtouch.
  * Refresh 20_norpath.patch.
  * Refresh 30-disable_soundsourcem4a.patch patch.
  * Disable 40-alpha_ftbfs.patch patch for now.
  * Improve the clean target to properly clean the build environment.
  * Sort build-dependencies alphabetically.
  * Add dh_scour support to optimize SVG files.
  * Add Shoutcast support.
  * Build-Depends on libtag1-dev.

  [ Miguel Colon ]
  * Strip the SONAME out of the soundtouch build dependency.

 -- Alessio Treglia <alessio@debian.org>  Sun, 27 Feb 2011 11:51:32 +0100

=== debian/control ===
Source: mixxx
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Paul Brossier <piem@debian.org>,
 Free Ekanayaka <freee@debian.org>,
 Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 docbook-to-man,
 imagemagick,
 libaudiofile-dev,
 libexpat-dev,
 libgl1-mesa-dev,
 libglu1-mesa-dev,
 libid3tag0-dev,
 libjack-dev,
 libmad0-dev,
 libogg-dev,
 libportmidi-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libqt4-opengl-dev | libqt4-dev,
 libqtwebkit-dev,
 libshout-dev,
 libsndfile1-dev,
 libsoundtouch-dev (>= 1.5.0),
 libtag1-dev,
 libvorbis-dev,
 libwavpack-dev,
 pkg-config,
 portaudio19-dev,
 python-scour,
 scons
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/pkg-multimedia/mixxx.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mixxx.git
Homepage: http://www.mixxx.org/

Package: mixxx
Architecture: any
Depends: ${shlibs:Depends},
 mixxx-data (= ${source:Version}),
 libqt4-sql-sqlite,
 ${dist:Depends},
 ${misc:Depends}
Suggests: pdf-viewer
Description: Digital Disc Jockey Interface
 Mixxx is a digital DJ system, where Wave, Ogg, FLAC and MP3 files can be
 mixed on a computer for use in live performances. Filters, crossfader, and
 speed control are provided. Mixxx can sync the 2 streams automatically, using
 an algorithm to detect the beat.
 .
 Mixxx works with Jack or OSS, can be controlled from the GUI or from external
 controllers, including MIDI devices and joysticks, and supports skins.

Package: mixxx-data
Architecture: all
Depends: ${misc:Depends}
Description: Digital Disc Jockey Interface -- data files
 Mixxx is a digital DJ system, where Wave, Ogg, FLAC and MP3 files can be
 mixed on a computer for use in live performances. Filters, crossfader, and
 speed control are provided. Mixxx can sync the 2 streams automatically, using
 an algorithm to detect the beat.
 .
 Mixxx works with Jack or OSS, can be controlled from the GUI or from external
 controllers, including MIDI devices and joysticks, and supports skins.
 .
 This package provides images and skin configuration files required for mixxx.

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,13 @@
 #!/usr/bin/make -f
 
-SCONS_OPTS = install_root=$(CURDIR)/debian/tmp/usr qtdir=/usr/share/qt4 prefix=/usr
 # Path to the debian directory
 DEBIAN_DIR := $(shell echo ${MAKEFILE_LIST} | awk '{print $$1}' | xargs dirname )
 UPSTREAM_VERSION ?=$(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
 PACKAGE = mixxx
+
+export DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+export DEB_HOST_ARCH_OS   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+export DEB_HOST_ARCH_CPU  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 
 ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
 	SUBSTVARS = -Vdist:Depends="pulseaudio-utils"
@@ -12,20 +15,23 @@
 	SUBSTVARS = -Vdist:Depends=""
 endif
 
+SCONS_OPTS = install_root=$(CURDIR)/debian/tmp/usr qtdir=/usr/share/qt4 prefix=/usr
+SCONS_OPTS += machine=$(DEB_HOST_ARCH)
+
 %:
-	dh $@
+	dh $@ --parallel --with scour
 
 override_dh_auto_build:
 	# create icons
 	convert res/images/mixxx-icon.png -geometry 32x32 mixxx.xpm
-	scons $(SCONS_OPTS)
+	scons $(SCONS_OPTS) w=1
 	docbook-to-man debian/mixxx.sgml > mixxx.1 
 
 override_dh_auto_clean:
 	scons $(SCONS_OPTS) -c || true
-	rm -rf .sconf_temp/ .sconsign.dblite build/qt4.pyc cachecustom.py \
-	config.log linux_build/ src/build.h
-	rm -f mixxx.1 mixxx.xpm
+	rm -rf .sconf_temp/ cache/ linux_build/
+	dh_clean .sconsign.dblite build/qt4.pyc cachecustom.py \
+		config.log src/build.h build/*.pyc mixxx.1 mixxx.xpm
 	dh_auto_clean
 
 override_dh_auto_install:

## mixxx 1.9.2~dfsg0

=== SConstruct ===
#!/usr/bin/env python
# -*- coding: utf-8 -*-
import os

# machine-system settings we support
#
# iX86-mingw32-
# iX86-apple-darwin9
# x86_64-apple-darwin9
# powerpc-apple-darwin9
# poperpc64-apple-darwin9
# iX86-linux-gnu
# x86_64-linux-gnu

# platform = [win, osx, bsd, linux]
# machine = [iX86, x86_64, powerpc, powerpc64]
# toolchain = [gnu, msvc]
# target = [debug, release]

# If you don't specify your platform, we autodetect platform/machine using
# python. If you don't specify your machine then we pick iX86 by default
#
# default toolchain: gnu (you'll get an error on Windows if unspecified)
# default build: debug

import logging
logging.getLogger().setLevel(logging.DEBUG)

from build import mixxx, features
target = ARGUMENTS.get('target', None)
machine = ARGUMENTS.get('machine', None)
build_type = ARGUMENTS.get('build', None)
toolchain = ARGUMENTS.get('toolchain', None)

available_features = [features.HifiEq,
                      features.MIDIScript,
                      features.Mad,
                      features.CoreAudio,
                      features.HSS1394,
                      features.VinylControl,
                      features.Shoutcast,
                      features.Profiling,
                      features.Tuned,
                      features.QDebug,
                      features.Optimize,
                      features.FAAD,
                      features.WavPack,
                      features.TestSuite,
                      features.LADSPA,
                      features.MSVCDebug,
                      features.MSVSHacks,

                      # "Features" of dubious quality
                      features.AsmLib,
                      features.Tonal,
                      features.IPod,
                      features.ScriptStudio,
                      features.CMetrics,
                      features.FFMPEG,
                      ]

build = mixxx.MixxxBuild(target, machine, build_type,
                         toolchain, available_features)
Export('build')

# Run our configuration stuff to setup our build environment (detect
# platform/arch, find libraries, etc)
SConscript(File('src/SConscript.env'), duplicate=0)

# Grab the list of sources generated by SConscript.env
Import('sources')

# Make the main src directory accessible to the SoundSourceM4A, so
# SoundSourceM4A can get at sounddevice.cpp, which it needs to build
# and link properly. This sucks but it's the best way I can find -- bkgood
VariantDir("plugins/soundsourcem4a", "src", duplicate=0)
VariantDir("plugins/soundsourcewv", "src", duplicate=0)

# Build our soundsource plugins
soundsource_plugins = SConscript(
    File('plugins/SConscript'), build_dir=Dir(build.build_dir + "/plugins"),
    duplicate=0, exports=['build'])

# Setup and build the "mixxx" executable target. Also sets up our install
# targets for each platform.
SConscript(File('src/SConscript'), build_dir=Dir(build.build_dir), duplicate=0,
           exports=['build', 'sources', 'soundsource_plugins'])

# For convenience, copy the Mixxx binary out of the build directory to the
# root. Don't do it on windows because the binary can't run on its own and needs
# the DLLs present with it.
if not build.platform_is_windows:
    Command("mixxx", os.path.join(build.build_dir, "mixxx"), Copy("$TARGET", "$SOURCE"))


#On OS X, if the bundle has been built, copy it up:
#Command("Mixxx.app", os.path.join(build.build_dir, "Mixxx.app"), Copy("$TARGET", "$SOURCE"))

=== debian/changelog ===
mixxx (1.9.2~dfsg0-1) unstable; urgency=low

  * New upstream bugfix-only release.
  * Fix FTBFS with -Werror=format-security enabled (Closes: #646348).
  * Refresh patches.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Tue, 08 Nov 2011 14:44:28 +0100

mixxx (1.9.0+dfsg0-5) unstable; urgency=low

  * Add s390x support (Closes: #638879)

 -- Alessio Treglia <alessio@debian.org>  Tue, 23 Aug 2011 09:47:01 +0200

mixxx (1.9.0+dfsg0-4) unstable; urgency=low

  * Replace negated list of architectures with linux-any (Closes: #634789).
  * Use DH's autotools_dev add-on to update config.{guess,sub} files.

 -- Alessio Treglia <alessio@debian.org>  Mon, 25 Jul 2011 10:12:40 +0200

mixxx (1.9.0+dfsg0-3) unstable; urgency=low

  * Limit supported architectures to linux-any only.
  * Add support for sh3, sh4 and powerpcspe.
    Thanks to Nobuhiro Iwamatsu for the patch. (Closes: #632609)

 -- Alessio Treglia <alessio@debian.org>  Mon, 04 Jul 2011 10:13:15 +0200

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 SCONS_OPTS += machine=$(DEB_HOST_ARCH)
 
 %:
-	dh $@ --parallel --with scour
+	dh $@ --parallel --with=scour,autotools_dev
 
 override_dh_auto_build:
 	# create icons

=== debian/watch ===
version=3
opts=uversionmangle=s/-(beta|rc|RC)(.*)/~\$1\$2/,\
dversionmangle=s/-dfsg// \
http://www.mixxx.org/download.php \
  http://downloads.mixxx.org/mixxx-.*/mixxx-(.*)-src.tar.gz

## mixxx 1.10.0~dfsg0

=== debian/changelog ===
mixxx (1.10.0~dfsg0-4) unstable; urgency=low

  * Append CPPFLAGS to the end of CFLAGS/CXXFLAGS as the
    buildsystem ignores them. (Closes: #674971)

 -- Alessio Treglia <alessio@debian.org>  Tue, 29 May 2012 10:20:58 +0200

mixxx (1.10.0~dfsg0-3) unstable; urgency=low

  * Enable hardening flags.
  * Add repack.sh mechanism to automatically strip non-DFSG
    clean stuff out of the tarball.
  * Fix watch file.
  * Bump Standards.
  * Update Vcs fields.

 -- Alessio Treglia <alessio@debian.org>  Mon, 28 May 2012 10:49:16 +0200

mixxx (1.10.0~dfsg0-2) unstable; urgency=low

  * Remove dependency on libwavpack.
  * Fix FTBFS with GCC 4.7 (Closes: #674335).
  * Fix watch file.

 -- Alessio Treglia <alessio@debian.org>  Sun, 27 May 2012 13:17:12 +0200

mixxx (1.10.0~dfsg0-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Some updates and fixes.
  * Drop 01-werror_format_security.patch, no longer needed.
  * Update 10_uptodate_configure.dpatch, rename it to
    0001-update_configure.patch.
  * Drop 15-various_archs_support.patch, applied upstream.
  * Rename 20_norpath.patch to 0002-norpath.patch
  * Rename 30-disable_soundsourcem4a.patch to
    0003-disable_soundsourcem4a.patch.
  * Refresh and set a new name to 0004-soundtouch.patch
  * Rename 91-desktop_file.patch -> 0091-desktop_file.patch

 -- Alessio Treglia <alessio@debian.org>  Sat, 31 Dec 2011 09:52:59 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,13 @@
 DEBIAN_DIR := $(shell echo ${MAKEFILE_LIST} | awk '{print $$1}' | xargs dirname )
 UPSTREAM_VERSION ?=$(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
 PACKAGE = mixxx
+
+export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+# The build system ignores CPPFLAGS, pass them to CFLAGS/CXXFLAGS to enable
+# the missing (hardening) flags.
+export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
+export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
+export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 export DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 export DEB_HOST_ARCH_OS   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

=== debian/watch ===
version=3
opts=uversionmangle=s/-(beta|rc|RC)(.*)/~\$1\$2/,\
dversionmangle=s/~dfsg[0-9]*// \
http://www.mixxx.org/download.php \
  http://downloads.mixxx.org/mixxx-.*/mixxx-(.*)-src.tar.gz \
     debian sh debian/repack.stub

## mixxx 1.10.1~dfsg0

=== SConstruct ===
--- 
+++ 
@@ -36,12 +36,14 @@
                       features.MIDIScript,
                       features.Mad,
                       features.CoreAudio,
+                      features.MediaFoundation,
                       features.HSS1394,
                       features.VinylControl,
                       features.Shoutcast,
                       features.Profiling,
                       features.Tuned,
                       features.QDebug,
+                      features.Verbose,
                       features.Optimize,
                       features.FAAD,
                       features.WavPack,
@@ -51,6 +53,7 @@
                       features.MSVSHacks,
 
                       # "Features" of dubious quality
+                      features.PerfTools,
                       features.AsmLib,
                       features.Tonal,
                       features.IPod,
@@ -65,7 +68,7 @@
 
 # Run our configuration stuff to setup our build environment (detect
 # platform/arch, find libraries, etc)
-SConscript(File('src/SConscript.env'), duplicate=0)
+SConscript(File('src/SConscript.env'), variant_dir=Dir(build.build_dir), duplicate=0)
 
 # Grab the list of sources generated by SConscript.env
 Import('sources')
@@ -75,15 +78,16 @@
 # and link properly. This sucks but it's the best way I can find -- bkgood
 VariantDir("plugins/soundsourcem4a", "src", duplicate=0)
 VariantDir("plugins/soundsourcewv", "src", duplicate=0)
+VariantDir("plugins/soundsourcemediafoundation", "src", duplicate=0)
 
 # Build our soundsource plugins
 soundsource_plugins = SConscript(
-    File('plugins/SConscript'), build_dir=Dir(build.build_dir + "/plugins"),
+    File('plugins/SConscript'), variant_dir=Dir(build.build_dir + "/plugins"),
     duplicate=0, exports=['build'])
 
 # Setup and build the "mixxx" executable target. Also sets up our install
 # targets for each platform.
-SConscript(File('src/SConscript'), build_dir=Dir(build.build_dir), duplicate=0,
+SConscript(File('src/SConscript'), variant_dir=Dir(build.build_dir), duplicate=0,
            exports=['build', 'sources', 'soundsource_plugins'])
 
 # For convenience, copy the Mixxx binary out of the build directory to the

=== debian/changelog ===
mixxx (1.10.1~dfsg0-1) unstable; urgency=low

  * New upstream bugfix-only release:
    - Fix encoding error which prevents users to use folders with accented
      characters in the pathname (Closes: #664671).
  * Strip non-DFSG free PDF manual.
  * Update watch file.
  * Fix repackaging mechanism.

 -- Alessio Treglia <alessio@debian.org>  Wed, 27 Jun 2012 09:11:02 +0200

mixxx (1.10.0~dfsg0-5) unstable; urgency=low

  * Apply 1001-ftbfs_gcc47.patch to fix FTBFS with GCC 4.7 on Ubuntu too.
    Thanks to Ilya Barygin for pointing out this. (Closes: #678182)
  * debian/copyright:
    - Update to the new machine-readable format.
    - Sort licenses stanzas
    - Group files by license

 -- Alessio Treglia <alessio@debian.org>  Wed, 20 Jun 2012 09:42:16 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,13 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Paul Brossier <piem@debian.org>,
+Uploaders:
+ Paul Brossier <piem@debian.org>,
  Free Ekanayaka <freee@debian.org>,
  Alessio Treglia <alessio@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends:
+ autotools-dev,
+ debhelper (>= 7.0.50~),
  docbook-to-man,
  imagemagick,
  libaudiofile-dev,
@@ -16,7 +19,7 @@
  libjack-dev,
  libmad0-dev,
  libogg-dev,
- libportmidi-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+ libportmidi-dev [linux-any],
  libqt4-opengl-dev | libqt4-dev,
  libqtwebkit-dev,
  libshout-dev,
@@ -24,24 +27,25 @@
  libsoundtouch-dev (>= 1.5.0),
  libtag1-dev,
  libvorbis-dev,
- libwavpack-dev,
  pkg-config,
  portaudio19-dev,
  python-scour,
  scons
-Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/pkg-multimedia/mixxx.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mixxx.git
+Standards-Version: 3.9.3
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mixxx.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/mixxx.git
 Homepage: http://www.mixxx.org/
 
 Package: mixxx
-Architecture: any
-Depends: ${shlibs:Depends},
+Architecture: linux-any
+Depends:
+ libqt4-sql-sqlite,
  mixxx-data (= ${source:Version}),
- libqt4-sql-sqlite,
  ${dist:Depends},
- ${misc:Depends}
-Suggests: pdf-viewer
+ ${misc:Depends},
+ ${shlibs:Depends}
+Suggests:
+ pdf-viewer
 Description: Digital Disc Jockey Interface
  Mixxx is a digital DJ system, where Wave, Ogg, FLAC and MP3 files can be
  mixed on a computer for use in live performances. Filters, crossfader, and
@@ -53,7 +57,8 @@
 
 Package: mixxx-data
 Architecture: all
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends}
 Description: Digital Disc Jockey Interface -- data files
  Mixxx is a digital DJ system, where Wave, Ogg, FLAC and MP3 files can be
  mixed on a computer for use in live performances. Filters, crossfader, and

=== debian/watch ===
version=3
opts=uversionmangle=s/-(beta|rc|RC)(.*)/~\$1\$2/,\
dversionmangle=s/~dfsg[0-9]*// \
http://downloads.mixxx.org/mixxx-(.*)/mixxx-(.*)-src.tar.gz \
     debian sh debian/repack.stub

## mixxx 1.11.0~dfsg

=== SConstruct ===
--- 
+++ 
@@ -26,18 +26,19 @@
 import logging
 logging.getLogger().setLevel(logging.DEBUG)
 
-from build import mixxx, features
+from build import mixxx, features, depends
 target = ARGUMENTS.get('target', None)
 machine = ARGUMENTS.get('machine', None)
 build_type = ARGUMENTS.get('build', None)
 toolchain = ARGUMENTS.get('toolchain', None)
 
 available_features = [features.HifiEq,
-                      features.MIDIScript,
                       features.Mad,
                       features.CoreAudio,
                       features.MediaFoundation,
                       features.HSS1394,
+                      features.HID,
+                      features.Bulk,
                       features.VinylControl,
                       features.Shoutcast,
                       features.Profiling,
@@ -51,14 +52,14 @@
                       features.LADSPA,
                       features.MSVCDebug,
                       features.MSVSHacks,
+                      features.Vamp,
+                      features.PromoTracks,
 
                       # "Features" of dubious quality
                       features.PerfTools,
                       features.AsmLib,
                       features.Tonal,
                       features.IPod,
-                      features.ScriptStudio,
-                      features.CMetrics,
                       features.FFMPEG,
                       ]
 
@@ -85,10 +86,18 @@
     File('plugins/SConscript'), variant_dir=Dir(build.build_dir + "/plugins"),
     duplicate=0, exports=['build'])
 
+#Build Vamp minimal plugins
+#VariantDir("vamp-plugins", "src", duplicate=0)
+mixxxminimal_depends = [ depends.SoundTouch ]
+mixxxminimal_plugins = SConscript(
+    File('vamp-plugins/SConscript'),
+    variant_dir=Dir(build.build_dir + "/vamp-plugins"),
+    duplicate=0, exports=['build', 'mixxxminimal_depends'])
+
 # Setup and build the "mixxx" executable target. Also sets up our install
 # targets for each platform.
 SConscript(File('src/SConscript'), variant_dir=Dir(build.build_dir), duplicate=0,
-           exports=['build', 'sources', 'soundsource_plugins'])
+           exports=['build', 'sources', 'soundsource_plugins', 'mixxxminimal_plugins'])
 
 # For convenience, copy the Mixxx binary out of the build directory to the
 # root. Don't do it on windows because the binary can't run on its own and needs
@@ -97,5 +106,6 @@
     Command("mixxx", os.path.join(build.build_dir, "mixxx"), Copy("$TARGET", "$SOURCE"))
 
 
+
 #On OS X, if the bundle has been built, copy it up:
 #Command("Mixxx.app", os.path.join(build.build_dir, "Mixxx.app"), Copy("$TARGET", "$SOURCE"))

=== lib/hidapi-0.8.0-pre/linux/Makefile ===
###########################################
# Simple Makefile for HIDAPI test program
#
# Alan Ott
# Signal 11 Software
# 2010-06-01
###########################################

all: hidtest

CC       ?= gcc
CFLAGS   ?= -Wall -g

CXX      ?= g++
CXXFLAGS ?= -Wall -g

COBJS     = hid-libusb.o
CPPOBJS   = ../hidtest/hidtest.o
OBJS      = $(COBJS) $(CPPOBJS)
LIBS      = `pkg-config libusb-1.0 libudev --libs`
INCLUDES ?= -I../hidapi `pkg-config libusb-1.0 --cflags`


hidtest: $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $^ $(LIBS) -o hidtest

$(COBJS): %.o: %.c
	$(CC) $(CFLAGS) -c $(INCLUDES) $< -o $@

$(CPPOBJS): %.o: %.cpp
	$(CXX) $(CXXFLAGS) -c $(INCLUDES) $< -o $@

clean:
	rm -f $(OBJS) hidtest

.PHONY: clean

=== debian/changelog ===
mixxx (1.11.0~dfsg-2) unstable; urgency=low

  * Install missing libmixxxminimal.so. Let upstream buildsystem install
    the XPM file by itself. Thanks to Takeshi Soejima for reporting
    this. (Closes: #725225)
  * Refresh Ubuntu patches.

 -- Alessio Treglia <alessio@debian.org>  Fri, 04 Oct 2013 14:14:17 +0100

mixxx (1.11.0~dfsg-1) unstable; urgency=low

  * Team upload.

  [ Alessio Treglia ]
  * Imported Upstream version 1.11.0~dfsg (Closes: #707743)
  * Update debian/copyright.
  * Bump Standards.

  [ Matteo F. Vescovi ]
  * debian/: dh 7 => 9 bump
  * debian/control: new b-deps added
    libfftw3-dev, libprotobuf-dev,
    libusb-1.0-0-dev and protobuf-compiler
  * debian/patches/: patchset updated
    - 0002-norpath.patch dropped
    - 0004-soundtouch.patch refreshed
    - 1001-ftbfs_gcc47.patch dropped
  * debian/control: vamp b-deps added
  * debian/: pdf manual references dropped (Closes: #695972)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Mon, 30 Sep 2013 17:10:34 +0200

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,12 @@
  Alessio Treglia <alessio@debian.org>
 Build-Depends:
  autotools-dev,
- debhelper (>= 7.0.50~),
+ debhelper (>= 9),
  docbook-to-man,
  imagemagick,
  libaudiofile-dev,
  libexpat-dev,
+ libfftw3-dev,
  libgl1-mesa-dev,
  libglu1-mesa-dev,
  libid3tag0-dev,
@@ -20,18 +21,23 @@
  libmad0-dev,
  libogg-dev,
  libportmidi-dev [linux-any],
+ libprotobuf-dev,
  libqt4-opengl-dev | libqt4-dev,
  libqtwebkit-dev,
  libshout-dev,
  libsndfile1-dev,
  libsoundtouch-dev (>= 1.5.0),
  libtag1-dev,
+ libusb-1.0-0-dev,
+ libvamp-hostsdk3,
  libvorbis-dev,
  pkg-config,
  portaudio19-dev,
+ protobuf-compiler,
  python-scour,
- scons
-Standards-Version: 3.9.3
+ scons,
+ vamp-plugin-sdk
+Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mixxx.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/mixxx.git
 Homepage: http://www.mixxx.org/

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,6 @@
 #!/usr/bin/make -f
 
-# Path to the debian directory
-DEBIAN_DIR := $(shell echo ${MAKEFILE_LIST} | awk '{print $$1}' | xargs dirname )
-UPSTREAM_VERSION ?=$(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
-PACKAGE = mixxx
+export REPACK_SH=$(CURDIR)/debian/repack.sh
 
 export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
 # The build system ignores CPPFLAGS, pass them to CFLAGS/CXXFLAGS to enable
@@ -51,3 +48,6 @@
 
 override_dh_gencontrol:
 	dh_gencontrol -- $(SUBSTVARS)
+
+get-orig-source:
+	uscan --force-download
